if(NOT BONJOUR_ROOT_DIR)
    set(BONJOUR_ROOT_DIR "${EXTERN_LIB_DIR}/BonjourSDK")
endif(NOT BONJOUR_ROOT_DIR)

if(NOT BONJOUR_INSTALLER_DIR)
    set(BONJOUR_INSTALLER_DIR ${BONJOUR_ROOT_DIR}/installer)
endif(NOT BONJOUR_INSTALLER_DIR)


if(NOT DNSSD_INCLUDE_DIRS)
    set(DNSSD_INCLUDE_DIRS ${BONJOUR_ROOT_DIR}/include)
endif(NOT DNSSD_INCLUDE_DIRS)

if(NOT DNSSD_LIBRARIES)
    set(DNSSD_LIBRARIES ${BONJOUR_ROOT_DIR}/lib/win32/dnssd.lib)
endif(NOT DNSSD_LIBRARIES)